org.sunflow.system

## Class FileUtils

- java.lang.Object
- - org.sunflow.system.FileUtils

    public final class FileUtils
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`FileUtils()`

### Method Summary

Methods
`static java.lang.String` `getExtension(java.lang.String filename)` Extract the file extension from the specified filename.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileUtils

    public FileUtils()

### Method Detail

#### getExtension

    public static final java.lang.String getExtension(java.lang.String filename)

Extract the file extension from the specified filename.

Parameters:
  `filename` - filename to get the extension of
Returns:
  a string representing the file extension, or `null` if the filename doesn't have any extension, or is not a file